body{
    background-color: #EF8A5E;
    overflow: hidden;
}

#game-canvas{
    top: -100%;
    transition: 1s;
}

.container{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 100;
    pointer-events: none;
}

.loader{
    width: 479px;
    height: 455px;
    position: relative;
}

.loader-back{
    position: absolute;
    width: 100%;
    height: 100%;
}

.loader-body{
    position: absolute;
    top: 6.3%;
    left: 6%;
}

.loader-dino{
    position: absolute;
    left: 23.2%;
    top: 20%;
}

.loader-sparkle{
    position: absolute;
    left: 47%;
    top: 11%;
}

.loader img:nth-child(1){
    animation-delay: 0s;
}
.loader img:nth-child(3){
    animation-delay: 0.3s;
}
.loader img:nth-child(4){
    animation-delay: 0.6s;
}
.loader img:nth-child(5){
    animation-delay: 0.9s;
}


.loader-progress{
    position: absolute;
    background-color: #3F3B5E;
    width: 0;
    height: 17%;
    bottom: 11%;
    left: 10%;
    transition: 0.3s ease-in-out;
    animation-delay: 0.3s;
    overflow:hidden;
}

.shine{
    opacity: 0;
    background-color: white;
    position: relative;
    transform: rotate(25deg);
    width: 10%;
    height: 140%;
    left: -50%;
    top: -20%;
    box-shadow: inset 5px 0 0 #3F3B5E;
    border-left: 5px solid white;
    transition: 1s ease-in-out;
}

.pop-up-animation{
    transform: scale(0);
    animation-name: pop-up-animation;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;
}

.close-animation{
    transform: scale(1);
    animation-name: close-animation;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;
}

@keyframes pop-up-animation{
    0%{
        transform: scale(0);
    }
    25%{
        transform: scale(1.05);
    }
    50%{
        transform: scale(.98);
    }
    75%{
        transform: scale(1.015);
    }
    100%{
        transform: scale(1);
    }
}

@keyframes close-animation{
    0%{
        transform: scale(1);
    }
    50%{
        transform: scale(1.1);
    }
    100%{
        transform: scale(0);
    }
}